it.csi.mddtools.guigen

## Interface CommandPanel

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Panel

      public interface CommandPanel
      extends Panel

  A representation of the model object 'Command Panel'. Pannello destinato a contenere esclusivamente widget di comando (es. pulsanti).

  The following features are supported:

  - `Cmd Style`
  - `Widgets`
  See Also:
    `GuigenPackage.getCommandPanel()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommandStyles` | `getCmdStyle()` Returns the value of the 'Cmd Style' attribute.
    `org.eclipse.emf.common.util.EList<Widget>` | `getWidgets()` Returns the value of the 'Widgets' containment reference list.
    `void` | `setCmdStyle(CommandStyles value)` Sets the value of the '`Cmd Style`' attribute

    - ### Methods inherited from interface it.csi.mddtools.guigen.Panel

      `getLabel, getLayout, getLayoutSpec, getName, isScrollable, setLabel, setLayout, setLayoutSpec, setName, setScrollable`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getCmdStyle

          CommandStyles getCmdStyle()

      Returns the value of the 'Cmd Style' attribute. The literals are from the enumeration `CommandStyles`.

      If the meaning of the 'Cmd Style' attribute isn't clear, there really should be more of a description here...

      Permette di differenziare stilisticamente (ove previsto dai pattern di portale) tra pulsanti ad uso "funzionale" e pulsanti ad uso "navigazione".
      Returns:
        the value of the 'Cmd Style' attribute.
      See Also:
        `CommandStyles`, `setCmdStyle(CommandStyles)`, `GuigenPackage.getCommandPanel_CmdStyle()`

    - #### setCmdStyle

          void setCmdStyle(CommandStyles value)

      Sets the value of the '`Cmd Style`' attribute.
      Parameters:
        `value` - the new value of the 'Cmd Style' attribute.
      See Also:
        `CommandStyles`, `getCmdStyle()`

    - #### getWidgets

          org.eclipse.emf.common.util.EList<Widget> getWidgets()

      Returns the value of the 'Widgets' containment reference list. The list contents are of type `Widget`.

      If the meaning of the 'Widgets' containment reference list isn't clear, there really should be more of a description here...

      Ristretto a commandWidgets.
      Returns:
        the value of the 'Widgets' containment reference list.
      See Also:
        `GuigenPackage.getCommandPanel_Widgets()`